<script setup lang="ts">
import { ref } from 'vue';
import { useRoute } from 'vue-router';

const icons = ['mdi-facebook', 'mdi-twitter', 'mdi-linkedin', 'mdi-instagram']

const route = useRoute()
const tab = ref(null)
</script>

<template>
     <v-carousel cover cycle show-arrows="hover" hide-delimiter-background height="700">
    <v-carousel-item  src="\src\assets\member\Promotionlatte.png"
      >
    </v-carousel-item>
    <v-carousel-item  src="\src\assets\member\croissant.png">
    </v-carousel-item>
    <v-carousel-item cycle src="\src\assets\member\PromotionMocca.png" >
      
    </v-carousel-item>
    <v-carousel-item cycle src="\src\assets\member\PromotionMatcha.png" >
      
    </v-carousel-item>
    
  </v-carousel>
  <div>


 <br /><br /><br /><br />

  
  <v-container>
  <v-row>
    <v-col>
      <v-img style="margin-left: 30px" :width="300" src="\src\assets\member\Purchase.png"></v-img>
    </v-col>
    <!-- เพิ่มเส้นขั้นระหว่างแต่ละ v-col -->
    <v-col style="border-left: 1px solid #ccc;">
      <v-img style="margin-left: 30px" :width="300" src="\src\assets\member\History.png"></v-img>
    </v-col>
    <!-- เพิ่มเส้นขั้นระหว่างแต่ละ v-col -->
    <v-col style="border-left: 1px solid #ccc;">
      <v-img style="margin-left: 30px;" :width="300" src="\src\assets\member\Accout.png"></v-img>
    </v-col>
  </v-row>
  <v-row>
    <v-col>
      <v-img :width="370" src="\src\assets\member\iconpur.png"></v-img>
    </v-col>
    <!-- เพิ่มเส้นขั้นระหว่างแต่ละ v-col -->
    <v-col style="border-left: 1px solid #ccc;">
      <v-img :width="370" src="\src\assets\member\iconhis.png"></v-img>
    </v-col>
    <!-- เพิ่มเส้นขั้นระหว่างแต่ละ v-col -->
    <v-col style="border-left: 1px solid #ccc;">
      <v-img :width="340" src="\src\assets\member\iconacc.png"></v-img>
    </v-col>
  </v-row>
  <v-row class="no-margin">
    <v-col class="centered">
      <a href="/purchase" class="bn3">
        <button
          @click="console.log()"
          :class="{ active: route.name === 'purchase' }"
          :to="{ path: '/Purchase' }"
        >View details</button>
      </a>
    </v-col>
    <!-- เพิ่มเส้นขั้นระหว่างแต่ละ v-col -->
    <v-col style="border-left: 1px solid #ccc;" class="centered"> 
      <a href="/historymember" class="bn3">
        <button
          @click="console.log()"
          :class="{ active: route.name === 'historymember' }"
          :to="{ path: '/Historymember' }"
        >View details</button>
      </a>
    </v-col>
    <!-- เพิ่มเส้นขั้นระหว่างแต่ละ v-col -->
    <v-col style="border-left: 1px solid #ccc;" class="centered"> 
      <a href="/AccountMember" class="bn3">
        <button
          @click="console.log()"
          :class="{ active: route.name === 'account' }"
          :to="{ path: '/AccountMember' }"
        >View details</button>
      </a>
    </v-col>
  </v-row>
</v-container>



<div class="wrapper">
    <div class="menu-container">
      <v-row>
        <v-col ><v-img :width="400" src="\src\assets\member\product1.png"></v-img></v-col>
        <v-col style="margin-top: 0px;"><div class="menu-item">Our coffee is quality. Because the ingredients come from good sources and <br />there are baristas who are skilled and have a passion for making. <br />Make each cup of coffee to be of high quality and worth the price.
      </div></v-col>
      </v-row>
      
    </div>
  </div>
  <v-lazy
  :min-height="200"
  :options="{'threshold':0.5}"
  transition="fade-transition"
> 
  <v-parallax height="1000" src="\src\assets\mainmenu\cafe1.png">
      <div class="d-flex flex-column fill-height text-white">
        <br /><br /><br /><br /><br />
        <h4 align="center" style="font-size: 100px">Recommend Menu</h4>
        <h4 align="center" style="font-size: 20px; color: #b89769">
          _______________________________________________
        </h4>
        <div class="fill-height text-white" style="padding: 100px; display: flex; flex-wrap: wrap">
          <div style="margin-right: 30px">
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              <v-img :width="100" src="\src\assets\mainmenu\coffee1.jpg"></v-img>
            </p>
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              <v-img :width="100" src="\src\assets\mainmenu\coffee2.jpg"></v-img>
            </p>
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              <v-img :width="100" src="\src\assets\mainmenu\coffee3.jpg"></v-img>
            </p>
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              <v-img :width="100" src="\src\assets\mainmenu\coffee4.jpg"></v-img>
            </p>
          </div>
          <div style="margin-right: 20px">
            <p class="subheading" style="margin-top: 30px; font-size: 20px">
              CAFFE LATTE_________________________________________________________฿40
            </p>
            <p class="subheading" style="margin-top: 0px; color: #b89769">
              Fresh brewed coffee and steamed milk
            </p>
            <p class="subheading" style="margin-top: 75px; font-size: 20px">
              CAFFE MOCHA_______________________________________________________฿40
            </p>
            <p class="subheading" style="margin-top: 0px; color: #b89769">
              Espresso With Milk, and Whipped Cream
            </p>
            <p class="subheading" style="margin-top: 75px; font-size: 20px">
              WHITE CHOCOLATE MOCHA__________________________________________฿40
            </p>
            <p class="subheading" style="margin-top: 0px; color: #b89769">
              Espresso, White Chocolate, Milk, Ice and Cream
            </p>
            <p class="subheading" style="margin-top: 75px; font-size: 20px">
              CAPPUCCINO_________________________________________________________฿40
            </p>
            <p class="subheading" style="margin-top: 0px; color: #b89769">
              Espresso, and Smoothed Layer of Foam
            </p>
          </div>
          <div style="margin-right: 30px">
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              <v-img :width="100" src="\src\assets\mainmenu\coffee5.jpg"></v-img>
            </p>
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              <v-img :width="100" src="\src\assets\mainmenu\coffee6.jpg"></v-img>
            </p>
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              <v-img :width="100" src="\src\assets\mainmenu\coffee7.jpg"></v-img>
            </p>
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              <v-img :width="100" src="\src\assets\mainmenu\coffee8.jpg"></v-img>
            </p>
          </div>
          <div>
            <p class="subheading" style="margin-top: 30px; font-size: 20px">
              VANILLA LATTE______________________________________________________฿40
            </p>
            <p class="subheading" style="margin-top: 0px; color: #b89769">
              Espresso Milk With Flavor,and Cream
            </p>
            <p class="subheading" style="margin-top: 75px; font-size: 20px">
              CARAMEL MACCHIATO_______________________________________________฿40
            </p>
            <p class="subheading" style="margin-top: 0px; color: #b89769">
              Espresso, vanilla-flavored syrup and milk
            </p>
            <p class="subheading" style="margin-top: 75px; font-size: 20px">
              ICED CAFFE MOCHA__________________________________________________฿40
            </p>
            <p class="subheading" style="margin-top: 0px; color: #b89769">
              Espresso, bittersweet mocha sauce, milk and ice
            </p>
            <p class="subheading" style="margin-top: 75px; font-size: 20px">
              ESPRESSO MACCHIATO_______________________________________________฿40
            </p>
            <p class="subheading" style="margin-top: 0px; color: #b89769">
              Rich Espresso With Milk and Foam
            </p>
          </div>
        </div>
      </div>
    </v-parallax>
    </v-lazy>
    

    <v-row style="margin-top: 80px">
        <v-col Align="center" style="color: #b89769">What Happens Here</v-col>
      </v-row>
      <v-row>
        <v-col Align="center" style="color: black; font-size: 50px">COFFEE BUILD YOUR BASE.</v-col>
      </v-row>
      <v-row>
        <v-col Align="center" style="color: #b89769">________________________________________________</v-col>
      </v-row>

    <v-lazy
  :min-height="600"
  :options="{'threshold':0.5}"
  transition="fade-transition"
>
  <div style="margin-top: 100px;" class="container" >
  <div class="square">
    <v-img
          :aspect-ratio="16/9"
          src="\src\assets\member\pic4.jpg"
          cover
    ></v-img>
  </div>
  <div class="square">
    <v-img
          :aspect-ratio="16/9"
          src="\src\assets\member\pic3.jpg"
          cover
  ></v-img></div>
  <div class="square"><v-img
          :aspect-ratio="16/9"
          src="\src\assets\member\member2.jpg"
          cover
></v-img></div>
  <div class="square"><v-img
          :aspect-ratio="16/9"
          src="\src\assets\member\member1.jpg"
          cover
  ></v-img></div>
</div>
</v-lazy>

<br /><br /><br /><br /><br /><br />

  </div>
  <div>
    <div style="background-color: #eae7de">
      <v-parallax height="500" src="\src\assets\Login\image3.png">
        <div class="fill-height text-white" style="padding: 75px; display: flex; flex-wrap: wrap">
          <div style="margin-right: 300px">
            <h4 style="font-size: 20px">OPENING HOURS</h4>
            <p class="subheading" style="margin-top: 50px; font-size: 15px">
              MONDAY____________9:00-19:00
            </p>
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              TUESDAY____________CLOSED
            </p>
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              WEDNESDAY_________9:00-19:00
            </p>
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              THURSDAY___________9:00-19:00
            </p>
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              FRIDAY______________9:00-21:00
            </p>
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              SATURDAY__________9:00-21:00
            </p>
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              SUNDAY_____________9:00-21:00
            </p>
          </div>
          <div style="margin-right: 300px">
            <h4 style="font-size: 20px">CONTACT US</h4>
            <p class="subheading" style="margin-top: 50px">D_Coffee@gmail.com</p>
            <p class="subheading" style="margin-top: 10px">095 332 5290</p>
          </div>
          <div style="margin-right: 250px">
            <h4 style="font-size: 20px">LOCATION</h4>
            <p class="subheading" style="margin-top: 50px">Faculty of Allied Health Sciences</p>
            <p class="subheading" style="margin-top: 10px">Burapha University</p>
            <p class="subheading" style="margin-top: 10px">Chon Buri</p>
            <p class="subheading" style="margin-top: 10px">Thailand</p>
            <p class="subheading" style="margin-top: 10px">20131</p>
          </div>
          <div>
            <h4 style="font-size: 20px">Website Help Center</h4>
            <p class="subheading" style="margin-top: 50px">K.Pon</p>
            <p class="subheading" style="margin-top: 10px">Tel 098 526 1242</p>
            <p class="subheading" style="margin-top: 10px">K.Yo</p>
            <p class="subheading" style="margin-top: 10px">Tel 091 256 6031</p>
          </div>
        </div>
      </v-parallax>
    </div>
  </div>
  <v-footer class="bg-grey-darken-4 text-center d-flex flex-column">
    <div>
      <v-btn v-for="icon in icons" :key="icon" class="mx-4" :icon="icon" variant="text"></v-btn>
    </div>
  </v-footer>
 
</template>

<style scoped>
body {
  font-family: 'Crimson Text';
}

.no-border .v-tabs-bar {
  border-bottom: none;
}

.menu-container {
  display: flex;
  flex-direction: column;
}

.wrapper {
  display: flex;
  padding: 0;
  flex-direction: column;
  justify-content: center;
  margin-top: 90px;
  margin-left: 200px;
  margin-bottom: 0%;
  margin-right: 270px;

}

.menu-item {
  width: 1000px;
  max-height: 300px;
  background-color: white;
  color: white;
  border-radius: 100px;
  padding: 5%;
  margin-top: 120px;

  white-space: nowrap;
  display: inline-block;
  font-size: 30px;
  color: black;
  border: 0.1em solid #dca784;
  transform-origin: 0 0;
  transform: translateX(-100px);
  opacity: 0;

  transition-property: transform, opacity;
  transition-duration: 1s;
  transition-timing-function: ease;
}

.wrapper:is(:hover, :focus) .menu-item {
  transform: translateX(0);
  opacity: 100%;
}

.wrapper .menu-item:nth-of-type(1) {
  transition-delay: 0ms;
}

.wrapper .menu-item:nth-of-type(2) {
  transition-delay: 100ms;
}

.wrapper .menu-item:nth-of-type(3) {
  transition-delay: 200ms;
}

.wrapper .menu-item:nth-of-type(4) {
  transition-delay: 300ms;
}

.wrapper .menu-item:nth-of-type(5) {
  transition-delay: 400ms;
}

.wrapper p {
  font-weight: bold;
  margin-bottom: 0px;
}

.centered {
  display: flex;
  justify-content: center;
  align-items: center;
}

.bn3 {
  display: inline-block;
  padding: 0.5em 1.7em;
  margin: 0 0.1em 0.1em 0;
  border: 0.16em solid #dca784;
  border-radius: 2em;
  box-sizing: border-box;
  text-decoration: none;
  font-size: 15px;
  font-weight: 300;
  color: #dca784;
  text-shadow: 0 0.04em 0.04em rgba(255, 255, 255, 0.253);
  text-align: center;
  transition: all 0.2s;
}

.bn3:hover {
  color: white;
  background-color: #dca784;
}

body {
  font-family: 'Crimson Text';
}

.v-card--reveal {
    align-items: center;
    bottom: 0;
    justify-content: center;
    opacity: .9;
    position: absolute;
    width: 100%;
  }

  .container {
    display: grid;
    grid-template-columns: repeat(2, 0.4fr);
    gap: 60px; /* ระยะห่างระหว่างภาพ */
    padding-left: 15%;
  }

.square {
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 8px;
  background-color: white;
 
  transition-property: box-shadow, transform;
  transition-duration: 350ms;
  transition-timing-function: ease;

  box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.24);
}

.square:is(:hover, :focus) {
  box-shadow: 0px 8px 10px 1px rgba(0, 0, 0, 0.2);
  transform: translateY(-8px);
}


</style>
